<?php
// Получаем корзину WooCommerce
$cart = WC()->cart->get_cart();

// Проверяем, есть ли товары в корзине
if (!empty($cart)) {
    // Берём последний добавленный товар (предполагается, что это последний элемент массива)
    $last_cart_item = end($cart);
    
    // Получаем данные товара
    $product_id = $last_cart_item['product_id'];
    $product = wc_get_product($product_id);
    
    // Имя товара
    $product_name = $product->get_name();
    
    // Цена товара
    $product_price = $product->get_price();
    
    // Мета информация товара
    $product_meta_data = $product->get_meta_data();

    $product_info = (object) [
        'name' => $product_name,
        'price' => $product_price,
        'meta' => $product_meta_data
    ];
}

$available_gateways = WC()->payment_gateways->get_available_payment_gateways();
if (isset($available_gateways['przelewy24'])) {
    // Получаем URL страницы оплаты
    $checkout_url = wc_get_checkout_url();
    echo '<a href="' . esc_url($checkout_url) . '?payment_method=przelewy24" class="button">Оплатить через Przelewy24</a>';
} else {
    echo '<p>Przelewy24 недоступен.</p>';
}

get_header();

?>

<main id="checkout">
    <div class="checkout__wrapper">
        <div class="checkout__inner">
            <h1>Potwierdzenie informacji o wizycie:</h1>
            <div class="product__info">
                <div>Nazwa: </div>
                <div>Klinika</div>
                <div>Adres: </div>
                <div>Klinikaqweq</div>
                <div>Diagnostyka<br/>USG:</div>
                <div>Klinikasdf</div>
                <div>Cena: </div>
                <div>Klidsfnika</div>
                <div>Data i godzina: </div>
                <div>Klinidfgdka</div>
                <div>Imie i nazwisko pacjenta: </div>
                <div>Klinidfgdka</div>
            </div>

            <div class="payment__wrapper">
                <p>Aby podtwierdzic</p>
                <div class="to-pay">PLACISZ: <span class="highlighted-text"><?=100?> zl</span></div>
                <a href="#">WPLAC ZALICZKE</a>
                <div class="payment-info">Pozostalo kwote <span class="highlighted-text"><?=$product_info->price - 100?> zl</span> zaplacisz w placowke</div>
            </div>
        </div>
    </div>
    <div class="back">
        <a href="<?=home_url() ?>"><img src="<?=get_template_directory_uri()?>/assets/images/arrow-checkout.svg" alt="arrow"> <span>WROC</span></a>
    </div>
</main>

<?php

get_footer();